
# Backend

## Nastavení
Nastavení je v rámci [application.properties](src/main/resources/application.properties)
zde je možné nastavit údaje pro databázi,
maximální velikost požadavku, či souboru.

## Načtení do IntelliJ Idea

Načtení samotného backend modulu, by mělo být automatické skrze maven
a pom.xml pro backend modul, včetně konfigurace a možnosti spuštění.

# Spuštění backendu

## IntelliJ Idea

Nastavení spuštění pro backend, by mělo být automaticky načteno díky
maven struktuře, pokud by k tomu však nedošlo, je nastavení
viditelné níže.

![img](../readme-files/run-backend-idea.png)

## Docker
Pro spuštění skrze Docker, je vytvořen Dockerfile.
Na spuštění celého systému je vhodné využít docker compose v hlavní složce.

# Použité knihovny

Použité knihovny jsou viditelné v pom.xml

Pro představu se však jedná o Lombok, knihovny z frameworku Spring a ModelMapper.