package cz.uhk.fim.redakcnisystem.contentmanagement.records.json;

import lombok.Data;

import java.time.ZonedDateTime;

@Data
public class GeneralSettings {

    private String blogName = "Blogovací systém";
    private Boolean displayNumberOfRatings = true;
    private Boolean displayNumberOfViewsArticle = true;
    private DisplayTimeCreateUpdateEn displayUpdateCreateTime = DisplayTimeCreateUpdateEn.createAndUpdate;
    private String dateTimeFormat = "DD.MM.YYYY HH:mm:ss";

    private Boolean enableAuthorPage = true;
    private String authorPageLinkText = "Autor";

    private Boolean enableGalleryPage = false;
    private String galleryPageLinkText = "Galerie";

    private String footerFirstRow = "Děkuji za návštěvu.";
    private String footerSecondRow = "© "+ ZonedDateTime.now().getYear() + " Copyright: ";
    private String footerBackgroundColor = "#464646";
    private String footerTextColor = "#FAFAFA";
}
