package cz.uhk.fim.redakcnisystem.contentmanagement.service;

import cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut.AdminCommentFeedOut;
import cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut.AdminRatingFeedOut;
import cz.uhk.fim.redakcnisystem.response.ServiceResult;

import java.time.ZonedDateTime;
import java.util.List;

public interface AdminFeedService {
    ServiceResult<List<AdminCommentFeedOut>> getCommentsFeed(ZonedDateTime timeStart, ZonedDateTime timeEnd);

    ServiceResult<List<AdminRatingFeedOut>> getRatingsFeed(ZonedDateTime timeStart, ZonedDateTime timeEnd);
}
