package cz.uhk.fim.redakcnisystem.contentmanagement.service;

import cz.uhk.fim.redakcnisystem.contentmanagement.dtoIn.ArticleSurveyVoteIn;
import cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut.ArticleSurveyOut;
import cz.uhk.fim.redakcnisystem.response.ServiceResult;

public interface ArticleSurveyService {

    ServiceResult<ArticleSurveyOut> getSurveyOutForArticle(Integer articleId);

    ServiceResult<String> postSurveyVote(Integer articleId, Integer userId, ArticleSurveyVoteIn voteIn);

    ServiceResult<Integer> getSurveyVote(Integer articleId, Integer userId);
}
