package cz.uhk.fim.redakcnisystem.contentmanagement.service;

import cz.uhk.fim.redakcnisystem.contentmanagement.dtoIn.CommentArticleIn;
import cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut.CommentArticleForUserOut;
import cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut.CommentArticleOut;
import cz.uhk.fim.redakcnisystem.response.ServiceResult;

import java.util.List;

public interface CommentArticleService {
    ServiceResult<String> addCommentToArticle(CommentArticleIn commentArticleIn, Integer userID);
    ServiceResult<List<CommentArticleOut>> getArticleComments (Integer articleId);
    ServiceResult<String> deleteComment(Long commentId, Integer userId);
    ServiceResult<List<CommentArticleForUserOut>> getArticleCommentsForUser(Integer userId, boolean isLogged, String loggedEmail);

    ServiceResult<String> setCommentIncorrect(Long commentId, Boolean incorrect);
}
