package cz.uhk.fim.redakcnisystem.contentmanagement.service;

import cz.uhk.fim.redakcnisystem.contentmanagement.dtoIn.ArticleRatingIn;
import cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut.ArticleRatingForUserOut;
import cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut.ArticleRatingOut;
import cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut.ArticleRatingUserOut;
import cz.uhk.fim.redakcnisystem.response.ServiceResult;

import java.util.List;

public interface RatingArticleService {

    ServiceResult<String> addRating(ArticleRatingIn articleRatingIn, Integer userID);
    ServiceResult<ArticleRatingOut> getRatingForArticle(Integer articleId);
    ServiceResult<ArticleRatingUserOut> getRatingForArticleUser (Integer articleId, Integer userID);
    ServiceResult<String> deleteRatingForUser(Integer articleId, Integer userID);
    ServiceResult<List<ArticleRatingForUserOut>> getArticleRatingForUser(Integer userId, boolean isLogged, String loggedEmail);

}
