package cz.uhk.fim.redakcnisystem.usermanagement.dtoOut;

import cz.uhk.fim.redakcnisystem.usermanagement.records.UserRole;
import cz.uhk.fim.redakcnisystem.usermanagement.records.enums.UserRoleEn;
import lombok.Data;

import java.util.List;

@Data
public class CurrentUserOut {

    private Integer id;
    private String username;
    private List<UserRoleEn> roles;

    public void setRolesFromUserRoles(List<UserRole> roles) {
        this.roles.clear();
        roles.forEach(userRole -> this.roles.add(userRole.getRole()));
    }
}
