package cz.uhk.fim.redakcnisystem.usermanagement.dtoOut;

import cz.uhk.fim.redakcnisystem.usermanagement.records.enums.UserRoleEn;
import lombok.Data;

import java.time.ZonedDateTime;
import java.util.List;

@Data
public class UserAdminOut {

    private Integer id;
    private String username;
    private String email;
    private ZonedDateTime createTime;
    private ZonedDateTime lastLoginTime;
    private Integer ratingsCount;
    private Integer commentsCount;
    private List<UserRoleEn> roles;
}
