package cz.uhk.fim.redakcnisystem.usermanagement.dtoOut;

import cz.uhk.fim.redakcnisystem.usermanagement.records.UserRole;
import cz.uhk.fim.redakcnisystem.usermanagement.records.enums.UserRoleEn;
import lombok.Builder;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@Builder
public class UserTokenOut {

    private Integer id;
    private String username;
    private String token;
    private List<UserRoleEn> roles;

    public void setRolesFromUserRoles(List<UserRole> roles) {
        this.roles = new ArrayList<>();
        roles.forEach(userRole -> this.roles.add(userRole.getRole()));
    }
}
