package cz.uhk.fim.redakcnisystem.usermanagement.repository;

import cz.uhk.fim.redakcnisystem.usermanagement.records.UserSavedArticle;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

public interface UserSavedArticleRepository extends CrudRepository<UserSavedArticle, Long> {

    Optional<UserSavedArticle> findByArticleIdAndUserId(Integer articleId, Integer userId);
    List<UserSavedArticle> findAllByUserId(Integer userId);
}
