package cz.uhk.fim.redakcnisystem.usermanagement.service;


import cz.uhk.fim.redakcnisystem.response.ServiceResult;
import cz.uhk.fim.redakcnisystem.usermanagement.dtoIn.UserLoginIn;
import cz.uhk.fim.redakcnisystem.usermanagement.dtoIn.UserRegistrationIn;
import cz.uhk.fim.redakcnisystem.usermanagement.dtoOut.UserTokenOut;
import org.springframework.web.multipart.MultipartFile;

public interface AuthService {

    ServiceResult<String> registration(UserRegistrationIn userRegistrationIn, MultipartFile image);
    ServiceResult<UserTokenOut> login(UserLoginIn userLoginIn);
}
