import {BASE_URL} from "./AxiosConfig";

const genders = {
    MEN: "Muž",
    FEMALE: "Žena",
    OTHER: "Jiné"
};

export const USER_IMAGE_URL = (id) => {
    return BASE_URL + "/user-management/user/"+Number(id)+"/image";
}

export const ARTICLE_IMAGE_URL = (id) => {
    return BASE_URL + "/content/article/"+id+"/image";
}

export const getGender = (gender) => {
    return genders[gender];
}