package cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut;

import cz.uhk.fim.redakcnisystem.contentmanagement.records.Article;
import cz.uhk.fim.redakcnisystem.contentmanagement.records.CommentArticle;
import cz.uhk.fim.redakcnisystem.usermanagement.records.User;
import lombok.Data;

import java.time.ZonedDateTime;

@Data
public class AdminCommentFeedOut {

    private Integer userId;
    private String username;

    private Long commentId;
    private String comment;
    private ZonedDateTime createTime;

    private Integer articleId;
    private String title;

    public void setCommentData(CommentArticle commentData){
        this.commentId = commentData.getId();
        this.comment = commentData.getComment();
        this.createTime = commentData.getCreateTime();
    }

    public void setUserData(User userData){
        this.userId = userData.getId();
        this.username = userData.getUsername();
    }

    public void setArticleData(Article articleData){
        this.articleId = articleData.getId();
        this.title = articleData.getTitle();
    }
}
