package cz.uhk.fim.redakcnisystem.contentmanagement.dtoOut.statistics;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class AdminSurveyStatisticsOut {

    private String surveyText;

    private Integer countOfAllVotes;

    private List<AdminStatisticsSurveyOptionVotesOut> surveyOptionsWithVotes = new ArrayList<>();

    private List<AdminStatisticsPairOut> votesPerDay = new ArrayList<>();


    public void addSurveyOptionsWithVotes(AdminStatisticsSurveyOptionVotesOut toAdd){
        surveyOptionsWithVotes.add(toAdd);
    }

    public void addVotesPerDay(AdminStatisticsPairOut toAdd){
        votesPerDay.add(toAdd);
    }
}
