package cz.uhk.fim.redakcnisystem.contentmanagement.repository;

import cz.uhk.fim.redakcnisystem.contentmanagement.records.ArticleSurveyOption;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

public interface ArticleSurveyOptionRepository extends CrudRepository<ArticleSurveyOption, Long> {

    Optional<ArticleSurveyOption> findByArticleSurveyIdAndPosition(Integer articleSurvey_id, Integer position);

    List<ArticleSurveyOption> findAllByArticleSurveyId(Integer articleSurvey_id);

}
