package cz.uhk.fim.redakcnisystem.contentmanagement.repository;

import com.fasterxml.jackson.databind.ObjectMapper;
import cz.uhk.fim.redakcnisystem.constants.FilePaths;
import cz.uhk.fim.redakcnisystem.contentmanagement.records.json.GeneralSettings;

import java.io.File;
import java.io.IOException;

public class JsonFilesRepository {

    public static GeneralSettings generalSettings(){
        ObjectMapper objectMapper = new ObjectMapper();
        try {
            return objectMapper.readValue(new File(FilePaths.GENERAL_SETTINGS_PATH), GeneralSettings.class);
        } catch (IOException e) {
            e.printStackTrace();
            return new GeneralSettings();
        }
    }
}
