package cz.uhk.fim.redakcnisystem.usermanagement.dtoOut;

import cz.uhk.fim.redakcnisystem.usermanagement.records.enums.UserGenderEn;
import cz.uhk.fim.redakcnisystem.usermanagement.records.enums.UserRoleEn;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.ZonedDateTime;
import java.util.Date;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserOut {

    private Integer id;
    private String username;
    private String email;
    private List<UserRoleEn> roles;
    private ZonedDateTime registrationTime;
    private Date birthDate;
    private String bio;
    private UserGenderEn gender;
}
