package cz.uhk.fim.redakcnisystem.usermanagement.service;

import cz.uhk.fim.redakcnisystem.response.ServiceResult;
import cz.uhk.fim.redakcnisystem.usermanagement.dtoOut.UserSavedArticleForListOut;
import cz.uhk.fim.redakcnisystem.usermanagement.dtoOut.UserSavedArticleOut;

import java.util.List;

public interface UserSavedArticleService {

    ServiceResult<String> saveUserArticle(Integer userId, Integer articleId);
    ServiceResult<UserSavedArticleOut> getUserSavedArticleForArticle(Integer userId, Integer articleId);
    ServiceResult<String> deleteUserSavedArticle(Long id, Integer userId);
    ServiceResult<List<UserSavedArticleForListOut>> getListOfSavedArticles(Integer userId);
}
