import moment from "moment";


export const getDatesBetweenFromRange = function(dateRange) {
    let dates = [];
    let currDate = moment(dateRange.start).startOf('day');
    let lastDate = moment(dateRange.end).startOf('day');
    while(currDate.add(1, 'days').diff(lastDate) <= 0) {
        dates.push(currDate.clone().format("DD.MM.YYYY"));
    }
    return dates;
};